Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.db.admin.nodes
Class CollectionNode

    java.lang.Object
      com.dbxml.db.admin.nodes.AdminNode
          com.dbxml.db.admin.nodes.CollectionNode

All Implemented Interfaces:
  HasChildren, HasCollection, HasMenu, HasStorage

public final class CollectionNode
extends AdminNode
implements HasCollection, HasChildren, HasMenu, HasStorage

CollectionNode

Field Summary
`static int` | `ACTION_CONNECT`
`static int` | `ACTION_DETACH`
`static int` | `ACTION_DISCONNECT`
`static int` | `ACTION_DROP`
`static int` | `ACTION_SHUTDOWN`

Fields inherited from interface com.dbxml.db.admin.nodes.HasMenu
`REFRESH_CHILDREN, REFRESH_NONE, REFRESH_PARENT, REFRESH_SELF, REFRESH_TREE, REMOVE_SELF`

Constructor Summary
`CollectionNode(AdminNode parentNode, CollectionClient parent, java.lang.String colName)`
`CollectionNode(dbXMLClient dbxml, java.lang.String label)`

Method Summary
`void` | `close()`
`java.lang.String` | `getCanonicalName()`
`AdminNode[]` | `getChildren()`
`CollectionClient` | `getCollection()`
`java.awt.Color` | `getColor()`
`java.awt.Font` | `getFont()`
`javax.swing.Icon` | `getIcon()`
`java.lang.String` | `getLabel()`
`MenuItem[]` | `getMenu()`
`java.lang.String` | `getMenuTitle()`
`AdminNode` | `getRefreshTarget()`
`java.lang.String` | `getTooltip()`
`int` | `menuAction(int action)`
`boolean` | `storeDocWrapper(DocWrapper doc)`

Methods inherited from class com.dbxml.db.admin.nodes.AdminNode
`getParentNode, isParentMenuInherited, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ACTION_CONNECT

    public static final int ACTION_CONNECT

See Also:
  Constant Field Values

### ACTION_DISCONNECT

    public static final int ACTION_DISCONNECT

See Also:
  Constant Field Values

### ACTION_DROP

    public static final int ACTION_DROP

See Also:
  Constant Field Values

### ACTION_DETACH

    public static final int ACTION_DETACH

See Also:
  Constant Field Values

### ACTION_SHUTDOWN

    public static final int ACTION_SHUTDOWN

See Also:
  Constant Field Values

Constructor Detail

### CollectionNode

    public CollectionNode(dbXMLClient dbxml,
                          java.lang.String label)

### CollectionNode

    public CollectionNode(AdminNode parentNode,
                          CollectionClient parent,
                          java.lang.String colName)

Method Detail

### getLabel

    public java.lang.String getLabel()

  Specified by:
    `getLabel` in class `AdminNode`

### getTooltip

    public java.lang.String getTooltip()

  Overrides:
    `getTooltip` in class `AdminNode`

### getFont

    public java.awt.Font getFont()

  Overrides:
    `getFont` in class `AdminNode`

### getColor

    public java.awt.Color getColor()

  Overrides:
    `getColor` in class `AdminNode`

### getIcon

    public javax.swing.Icon getIcon()

  Overrides:
    `getIcon` in class `AdminNode`

### close

    public void close()

  Overrides:
    `close` in class `AdminNode`

### getCollection

    public CollectionClient getCollection()

  Specified by:
    `getCollection` in interface `HasCollection`

### storeDocWrapper

    public boolean storeDocWrapper(DocWrapper doc)

  Specified by:
    `storeDocWrapper` in interface `HasStorage`

### getRefreshTarget

    public AdminNode getRefreshTarget()

  Specified by:
    `getRefreshTarget` in interface `HasStorage`

### getChildren

    public AdminNode[] getChildren()

  Specified by:
    `getChildren` in interface `HasChildren`

### getMenuTitle

    public java.lang.String getMenuTitle()

  Specified by:
    `getMenuTitle` in interface `HasMenu`
  Overrides:
    `getMenuTitle` in class `AdminNode`

### getMenu

    public MenuItem[] getMenu()

  Specified by:
    `getMenu` in interface `HasMenu`

### menuAction

    public int menuAction(int action)

  Specified by:
    `menuAction` in interface `HasMenu`
  Overrides:
    `menuAction` in class `AdminNode`

### getCanonicalName

    public java.lang.String getCanonicalName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group